javax.swing.plaf.synth

## Class SynthSeparatorUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.SeparatorUI
    - - javax.swing.plaf.synth.SynthSeparatorUI

All Implemented Interfaces:
  PropertyChangeListener, EventListener, SynthConstants, SynthUI

    public class SynthSeparatorUI
    extends SeparatorUI
    implements PropertyChangeListener, SynthUI

Provides the Synth L&F UI delegate for `JSeparator`.

Since:
  1.7

### Field Summary

### Fields inherited from interface javax.swing.plaf.synth.SynthConstants

`DEFAULT, DISABLED, ENABLED, FOCUSED, MOUSE_OVER, PRESSED, SELECTED`

### Constructor Summary

Constructors
Constructor and Description
`SynthSeparatorUI()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ComponentUI` `createUI(JComponent c)` Creates a new UI object for the given component.
`SynthContext` `getContext(JComponent c)` Returns the Context for the specified component.
`Dimension` `getMaximumSize(JComponent c)` Returns the specified component's maximum size appropriate for the look and feel.
`Dimension` `getMinimumSize(JComponent c)` Returns the specified component's minimum size appropriate for the look and feel.
`Dimension` `getPreferredSize(JComponent c)` Returns the specified component's preferred size appropriate for the look and feel.
`void` `installDefaults(JSeparator c)` Installs default setting.
`void` `installListeners(JSeparator c)` Installs listeners.
`void` `installUI(JComponent c)` Configures the specified component appropriately for the look and feel.
`void` `paint(Graphics g, JComponent c)` Paints the specified component according to the Look and Feel.
`protected void` `paint(SynthContext context, Graphics g)` Paints the specified component.
`void` `paintBorder(SynthContext context, Graphics g, int x, int y, int w, int h)` Paints the border.
`void` `propertyChange(PropertyChangeEvent evt)` This method gets called when a bound property is changed.
`void` `uninstallDefaults(JSeparator c)` Uninstalls default setting.
`void` `uninstallListeners(JSeparator c)` Uninstalls listeners.
`void` `uninstallUI(JComponent c)` Reverses configuration which was done on the specified component during `installUI`.
`void` `update(Graphics g, JComponent c)` Notifies this UI delegate to repaint the specified component.

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SynthSeparatorUI

    public SynthSeparatorUI()

### Method Detail

#### createUI

    public static ComponentUI createUI(JComponent c)

Creates a new UI object for the given component.

Parameters:
  `c` - component to create UI object for
Returns:
  the UI object

#### installUI

    public void installUI(JComponent c)

Configures the specified component appropriately for the look and feel. This method is invoked when the `ComponentUI` instance is being installed as the UI delegate on the specified component. This method should completely configure the component for the look and feel, including the following:

1. Install default property values for color, fonts, borders, icons, opacity, etc. on the component. Whenever possible, property values initialized by the client program should not be overridden.
2. Install a `LayoutManager` on the component if necessary.
3. Create/add any required sub-components to the component.
4. Create/install event listeners on the component.
5. Create/install a `PropertyChangeListener` on the component in order to detect and respond to component property changes appropriately.
6. Install keyboard UI (mnemonics, traversal, etc.) on the component.
7. Initialize any appropriate instance data.

Overrides:
  `installUI` in class `ComponentUI`
Parameters:
  `c` - the component where this UI delegate is being installed
See Also:
  `ComponentUI.uninstallUI(javax.swing.JComponent)`, `JComponent.setUI(javax.swing.plaf.ComponentUI)`, `JComponent.updateUI()`

#### uninstallUI

    public void uninstallUI(JComponent c)

Reverses configuration which was done on the specified component during `installUI`. This method is invoked when this `UIComponent` instance is being removed as the UI delegate for the specified component. This method should undo the configuration performed in `installUI`, being careful to leave the `JComponent` instance in a clean state (no extraneous listeners, look-and-feel-specific property objects, etc.). This should include the following:

1. Remove any UI-set borders from the component.
2. Remove any UI-set layout managers on the component.
3. Remove any UI-added sub-components from the component.
4. Remove any UI-added event/property listeners from the component.
5. Remove any UI-installed keyboard UI from the component.
6. Nullify any allocated instance data objects to allow for GC.

Overrides:
  `uninstallUI` in class `ComponentUI`
Parameters:
  `c` - the component from which this UI delegate is being removed; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
See Also:
  `ComponentUI.installUI(javax.swing.JComponent)`, `JComponent.updateUI()`

#### installDefaults

    public void installDefaults(JSeparator c)

Installs default setting. This method is called when a `LookAndFeel` is installed.

#### uninstallDefaults

    public void uninstallDefaults(JSeparator c)

Uninstalls default setting. This method is called when a `LookAndFeel` is uninstalled.

#### installListeners

    public void installListeners(JSeparator c)

Installs listeners. This method is called when a `LookAndFeel` is installed.

#### uninstallListeners

    public void uninstallListeners(JSeparator c)

Uninstalls listeners. This method is called when a `LookAndFeel` is uninstalled.

#### update

    public void update(Graphics g,
                       JComponent c)

Notifies this UI delegate to repaint the specified component. This method paints the component background, then calls the `paint(SynthContext,Graphics)` method.

In general, this method does not need to be overridden by subclasses. All Look and Feel rendering code should reside in the `paint` method.

Overrides:
  `update` in class `ComponentUI`
Parameters:
  `g` - the `Graphics` object used for painting
  `c` - the component being painted
See Also:
  `paint(SynthContext,Graphics)`

#### paint

    public void paint(Graphics g,
                      JComponent c)

Paints the specified component according to the Look and Feel.

This method is not used by Synth Look and Feel. Painting is handled by the `paint(SynthContext,Graphics)` method.

Overrides:
  `paint` in class `ComponentUI`
Parameters:
  `g` - the `Graphics` object used for painting
  `c` - the component being painted
See Also:
  `paint(SynthContext,Graphics)`

#### paint

    protected void paint(SynthContext context,
                         Graphics g)

Paints the specified component.

Parameters:
  `context` - context for the component being painted
  `g` - the `Graphics` object used for painting
See Also:
  `update(Graphics,JComponent)`

#### paintBorder

    public void paintBorder(SynthContext context,
                            Graphics g,
                            int x,
                            int y,
                            int w,
                            int h)

Paints the border.

Specified by:
  `paintBorder` in interface `SynthUI`
Parameters:
  `context` - a component context
  `g` - `Graphics` to paint on
  `x` - the X coordinate
  `y` - the Y coordinate
  `w` - width of the border
  `h` - height of the border

#### getPreferredSize

    public Dimension getPreferredSize(JComponent c)

Returns the specified component's preferred size appropriate for the look and feel. If `null` is returned, the preferred size will be calculated by the component's layout manager instead (this is the preferred approach for any component with a specific layout manager installed). The default implementation of this method returns `null`.

Overrides:
  `getPreferredSize` in class `ComponentUI`
Parameters:
  `c` - the component whose preferred size is being queried; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
See Also:
  `JComponent.getPreferredSize()`, `LayoutManager.preferredLayoutSize(java.awt.Container)`

#### getMinimumSize

    public Dimension getMinimumSize(JComponent c)

Returns the specified component's minimum size appropriate for the look and feel. If `null` is returned, the minimum size will be calculated by the component's layout manager instead (this is the preferred approach for any component with a specific layout manager installed). The default implementation of this method invokes `getPreferredSize` and returns that value.

Overrides:
  `getMinimumSize` in class `ComponentUI`
Parameters:
  `c` - the component whose minimum size is being queried; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
Returns:
  a `Dimension` object or `null`
See Also:
  `JComponent.getMinimumSize()`, `LayoutManager.minimumLayoutSize(java.awt.Container)`, `ComponentUI.getPreferredSize(javax.swing.JComponent)`

#### getMaximumSize

    public Dimension getMaximumSize(JComponent c)

Returns the specified component's maximum size appropriate for the look and feel. If `null` is returned, the maximum size will be calculated by the component's layout manager instead (this is the preferred approach for any component with a specific layout manager installed). The default implementation of this method invokes `getPreferredSize` and returns that value.

Overrides:
  `getMaximumSize` in class `ComponentUI`
Parameters:
  `c` - the component whose maximum size is being queried; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
Returns:
  a `Dimension` object or `null`
See Also:
  `JComponent.getMaximumSize()`, `LayoutManager2.maximumLayoutSize(java.awt.Container)`

#### getContext

    public SynthContext getContext(JComponent c)

Returns the Context for the specified component.

Specified by:
  `getContext` in interface `SynthUI`
Parameters:
  `c` - Component requesting SynthContext.
Returns:
  SynthContext describing component.

#### propertyChange

    public void propertyChange(PropertyChangeEvent evt)

Description copied from interface: `PropertyChangeListener`
This method gets called when a bound property is changed.

Specified by:
  `propertyChange` in interface `PropertyChangeListener`
Parameters:
  `evt` - A PropertyChangeEvent object describing the event source and the property that has changed.